# c-to-cpp-convert(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

c-to-cpp-convert - Convert a C file to C++

## SYNOPSIS

c-to-cpp-convert

## DESCRIPTION

c-to-cpp-convert changes the buffer type from C to C++ and loads the C++ language template cpp(9). The command is only available once a 'C' file is loaded as the command is defined within the C language template file `hkc.emf`.

The command is normally used when a new C++ file is being created, if the default file type is C rather than C++ then the new file is converted to C++ by changing the magic string from `-*- c -*-` to `-*- c++ -*-`, whenever the file is subsequently loaded then it will be presented in the correct mode.

## SEE ALSO

c(9), cpp(9).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>